# Uses of Enum Class
org.opensaml.core.xml.SpaceBearing.XMLSpaceEnum

Packages that use SpaceBearing.XMLSpaceEnum
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.

## Uses of SpaceBearing.XMLSpaceEnum in org.opensaml.core.xml

Methods in org.opensaml.core.xml that return SpaceBearing.XMLSpaceEnum
Modifier and Type
Method
Description
`SpaceBearing.XMLSpaceEnum`
SpaceBearing.`getXMLSpace()`
Returns the `@xml:space` attribute value.
`static SpaceBearing.XMLSpaceEnum`
SpaceBearing.XMLSpaceEnum.`parseValue(String value)`
Parse a string value into an XMLSpaceEnum.
`static SpaceBearing.XMLSpaceEnum`
SpaceBearing.XMLSpaceEnum.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpaceBearing.XMLSpaceEnum[]`
SpaceBearing.XMLSpaceEnum.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.core.xml with parameters of type SpaceBearing.XMLSpaceEnum
Modifier and Type
Method
Description
`void`
SpaceBearing.`setXMLSpace(SpaceBearing.XMLSpaceEnum newSpace)`
Sets the `@xml:space` attribute value.

## Uses of SpaceBearing.XMLSpaceEnum in org.opensaml.core.xml.util

Methods in org.opensaml.core.xml.util that return SpaceBearing.XMLSpaceEnum
Modifier and Type
Method
Description
`static SpaceBearing.XMLSpaceEnum`
XMLAttributeSupport.`getXMLSpace(XMLObject xmlObject)`
Gets the `xml:space` attribute from a given XML object.
Methods in org.opensaml.core.xml.util with parameters of type SpaceBearing.XMLSpaceEnum
Modifier and Type
Method
Description
`static void`
XMLAttributeSupport.`addXMLSpace(XMLObject xmlObject, SpaceBearing.XMLSpaceEnum space)`
Adds a `xml:space` attribute to the given XML object.